Creates a new article stock location serial (status is always set to AVAILABLE)

Request Information

URI Parameters :

None.

Body Parameters :

article_stock_location_serial
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
article_id

Foreign key of article (mandatory)

globally unique identifier
article_stock_location_id

Foreign key of the article_stock_location (optional, use an empty guid when the serial is not linked to a stock location)

globally unique identifier
serial_number

Serial number (optional)

string

Max length: 255

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

status

Status of the serial (Read-only, always AVAILABLE when created through the API)

string
sys_logical_delete

Readonly system field managed by database

boolean
archived

Readonly archived flag

boolean
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "344a0eb6-336c-4a8a-bb92-5cbe94268cfe",
  "article_id": "2373cb2b-bbbf-4919-a6ab-e07a6ac2dea7",
  "article_stock_location_id": "53ab43d8-6937-4b0b-a4f0-e2795b08f39c",
  "serial_number": "sample string 4",
  "reference_back_office": "sample string 5",
  "status": "sample string 6",
  "sys_logical_delete": true,
  "archived": true,
  "modified_dateutc": "2026-10-10T05:11:55.7507566+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.